> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shadeform.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /templates/{template_id}/delete

> Delete a template



## OpenAPI

````yaml post /templates/{template_id}/delete
openapi: 3.0.0
info:
  description: >-
    Shadeform is a single API and platform for deploying and managing cloud
    GPUs.
  version: 1.0.0
  title: Shadeform API
  contact:
    name: Shadeform
    email: support@shadeform.ai
    url: https://www.shadeform.ai
servers:
  - description: Shadeform Production
    url: https://api.shadeform.ai/v1
security:
  - ApiKeyAuth: []
paths:
  /templates/{template_id}/delete:
    parameters:
      - in: path
        name: template_id
        required: true
        schema:
          type: string
        description: The template ID
    post:
      summary: /templates/{template_id}/delete
      description: Delete a template
      operationId: TemplatesDelete
      responses:
        '200':
          description: Template deleted successfully
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````